package fr.titionfire.ffsaf.net2.request;

import fr.titionfire.ffsaf.net2.Client_Thread;
import fr.titionfire.ffsaf.net2.data.SimpleCombModel;

import java.util.ArrayList;

public class SReqComb {

    public static void sendIfNeed(ArrayList<Client_Thread> client_Thread, SimpleCombModel comb) {
        for (Client_Thread client : client_Thread) {
            client.sendNotify(comb, "sendComb");
        }
    }

    public static void sendIfNeedAdd(ArrayList<Client_Thread> client_Thread, SimpleCombModel comb) {
        for (Client_Thread client : client_Thread) {
            client.sendNotify(comb, "sendAddComb");
        }
    }

    public static void sendRm(ArrayList<Client_Thread> client_Thread, long id) {
        for (Client_Thread client : client_Thread) {
            client.sendNotify(id, "sendRmComb");
        }
    }
}
